Topics

A topic is a category or feed name to which records are published. Topics are the way Kafka organizes messages. They act as logical channels for data streams. Topics are split into partitions, making them scalable and allowing parallelism. This tag groups all operations for topics.

Retrieve all Topics

get
/clusters/{clusterId}/topics

This endpoint enables retrieving all topics using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Responses
chevron-right
200

Returned all requested topics successfully.

application/json
idstring · uuidRequired

ID of the list of Topic resources.

Example: 7c1fe82d-a1ea-55fc-a744-12fad4180eef
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Topic resources.

Example: /clusters/{clusterId}/topics
get
/clusters/{clusterId}/topics

Create Topic

post
/clusters/{clusterId}/topics

Creates a new topic. The full topic needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Body
Responses
post
/clusters/{clusterId}/topics

Retrieve Topic

get
/clusters/{clusterId}/topics/{topicId}

Returns the topic by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
topicIdstring · uuidRequired

The ID (UUID) of the topic.

Example: ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
Responses
chevron-right
200

Getting topic was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Topic.

Example: ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Topic.

Example: /clusters/{clusterId}/topics/ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
get
/clusters/{clusterId}/topics/{topicId}

Delete Topic

delete
/clusters/{clusterId}/topics/{topicId}

Deletes the specified topic.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
topicIdstring · uuidRequired

The ID (UUID) of the topic.

Example: ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
Responses
delete
/clusters/{clusterId}/topics/{topicId}

No content

Last updated

Was this helpful?